Subject: Re: [PATCH] revision: fix memory leak in prepare_show_merge()

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 4 Jun 2025 09:48:31 +0200

On Wed, Jun 04, 2025 at 03:08:56AM +0000, Lidong Yan via GitGitGadget wrote:
> From: Lidong Yan <[email-masked]>
> 
> In revision.c:prepare_show_merge(), we allocated an array in prune
> but forget to free it. Since parse_pathspec is not responsible to
> free prune, we should add `free(prune)` in the end of prepare_show_merge().

That is a rather obvious memory leak indeed. Do you know why we never
detected the leak in our CI? Is this code path not exercised at all by
our tests?

Patrick